Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718794 - media-libs/libepoxy[-X]: In file included from ... src/egl_generated_dispatch.c:11: /usr/include/EGL/eglplatform.h:128:10: fatal error: X11/Xlib.h: No such file or directory
Summary: media-libs/libepoxy[-X]: In file included from ... src/egl_generated_dispatch...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-04-21 20:05 UTC by mathieu.tortuyaux
Modified: 2020-12-24 04:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu.tortuyaux 2020-04-21 20:05:25 UTC
Hi, 

On the 1.5.4 version of libepoxy, if you try to emerge it without X USE flag, it will try to compile with X11/Xlib.h even if -Dx11 is set to false. 

```
In file included from include/epoxy/egl_generated.h:11,
                 from ../libepoxy-1.5.4/include/epoxy/egl.h:46,
                 from ../libepoxy-1.5.4/src/dispatch_common.h:56,
                 from src/egl_generated_dispatch.c:11:
/usr/include/EGL/eglplatform.h:128:10: fatal error: X11/Xlib.h: No such file or directory
  128 | #include <X11/Xlib.h>
      |          ^~~~~~~~~~~~
compilation terminated.
[5/9] /usr/bin/python3.6 ../libepoxy-1.5.4/src/gen_dispatch.py --source --no-header --outputdir=src ../libepoxy-1.5.4/registry/gl.xml
ninja: build stopped: subcommand failed.
```

This behavior has been fixed here: https://github.com/anholt/libepoxy/commit/6b09a8bc48bd06314c6716426ea73f38402e6e64. 

In the waiting of an official release, we need to use the 9999 version of the ebuild. This ticket is more a help for the nexts facing this error.
Comment 1 Felix Leimbach 2020-05-01 19:15:16 UTC
A similar problem exists with media-libs/virglrenderer, see bug #720338.
Comment 2 Matt Turner gentoo-dev 2020-12-24 04:35:27 UTC
Fixed by:

commit fc4f8c51d06b85a4f495bdf549c0883df12afc34
Author: Matt Turner <mattst88@gentoo.org>
Date:   Wed Dec 23 23:24:53 2020 -0500

    media-libs/libepoxy: Version bump to 1.5.5
    
    Signed-off-by: Matt Turner <mattst88@gentoo.org>